--- sane.SlackBuild	2006-09-22 23:59:57.000000000 -0400
+++ sane.SlackBuild.s390x	2007-01-27 15:27:02.000000000 -0500
@@ -15,7 +15,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -33,11 +33,16 @@
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
+  --libdir=/usr/lib64 \
   --sysconfdir=/etc \
   --mandir=/usr/man \
   --disable-locking \
   --localstatedir=/var/lib \
   --with-group=scanner
+# This export is needed because some of the coreutil commands in the make files don't
+# conform to POSIX (i.e., they do things like head -1 instead of head -n1).  This causes
+# some really odd symlinks to be created in the /usr/lib64/sane/ directory.
+export _POSIX2_VERSION=199209
 make -j3 || exit 1
 make install || exit 1
 make install DESTDIR=$PKG || exit 1
